[darwinbuild-changes] [880] branches/PR-8416637/testing/darwinup

source_changes at macosforge.org source_changes at macosforge.org
Thu Sep 16 15:51:35 PDT 2010


Revision: 880
          http://trac.macosforge.org/projects/darwinbuild/changeset/880
Author:   wsiegrist at apple.com
Date:     2010-09-16 15:51:34 -0700 (Thu, 16 Sep 2010)
Log Message:
-----------
Add test cases for symlinks to files

Modified Paths:
--------------
    branches/PR-8416637/testing/darwinup/dest.tar.gz
    branches/PR-8416637/testing/darwinup/run-tests.sh

Added Paths:
-----------
    branches/PR-8416637/testing/darwinup/rep_flink_dir.tar.gz
    branches/PR-8416637/testing/darwinup/rep_flink_file.tar.gz

Modified: branches/PR-8416637/testing/darwinup/dest.tar.gz
===================================================================
(Binary files differ)

Added: branches/PR-8416637/testing/darwinup/rep_flink_dir.tar.gz
===================================================================
(Binary files differ)


Property changes on: branches/PR-8416637/testing/darwinup/rep_flink_dir.tar.gz
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Added: branches/PR-8416637/testing/darwinup/rep_flink_file.tar.gz
===================================================================
(Binary files differ)


Property changes on: branches/PR-8416637/testing/darwinup/rep_flink_file.tar.gz
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Modified: branches/PR-8416637/testing/darwinup/run-tests.sh
===================================================================
--- branches/PR-8416637/testing/darwinup/run-tests.sh	2010-09-16 22:51:18 UTC (rev 879)
+++ branches/PR-8416637/testing/darwinup/run-tests.sh	2010-09-16 22:51:34 UTC (rev 880)
@@ -52,7 +52,7 @@
 done;
 
 for R in rep_dir_file rep_dir_link rep_file_dir rep_file_link \
-		 rep_link_dir rep_link_file;
+		 rep_link_dir rep_link_file rep_flink_dir rep_flink_file;
 do
 	tar zxvf $R.tar.gz -C $PREFIX
 done;
@@ -369,7 +369,7 @@
 echo "DIFF: diffing original test files to dest (should be no diffs) ..."
 $DIFF $ORIG $DEST 2>&1
 
-echo "========== TEST: Forcing object change: symlink to file ==========" 
+echo "========== TEST: Forcing object change: symlink->dir to file ==========" 
 is_link $DEST/rep_link
 $DARWINUP -f install $PREFIX/rep_link_file
 is_file $DEST/rep_link
@@ -378,7 +378,7 @@
 echo "DIFF: diffing original test files to dest (should be no diffs) ..."
 $DIFF $ORIG $DEST 2>&1
 
-echo "========== TEST: Forcing object change: symlink to directory ==========" 
+echo "========== TEST: Forcing object change: symlink->dir to directory ==========" 
 is_link $DEST/rep_link
 $DARWINUP -f install $PREFIX/rep_link_dir
 is_dir $DEST/rep_link
@@ -387,8 +387,26 @@
 echo "DIFF: diffing original test files to dest (should be no diffs) ..."
 $DIFF $ORIG $DEST 2>&1
 
+echo "========== TEST: Forcing object change: symlink->file to file ==========" 
+is_link $DEST/rep_flink
+$DARWINUP -f install $PREFIX/rep_flink_file
+is_file $DEST/rep_flink
+$DARWINUP uninstall newest
+is_link $DEST/rep_flink
+echo "DIFF: diffing original test files to dest (should be no diffs) ..."
+$DIFF $ORIG $DEST 2>&1
 
+echo "========== TEST: Forcing object change: symlink->file to directory ==========" 
+is_link $DEST/rep_flink
+$DARWINUP -f install $PREFIX/rep_flink_dir
+is_dir $DEST/rep_flink
+$DARWINUP uninstall newest
+is_link $DEST/rep_flink
+echo "DIFF: diffing original test files to dest (should be no diffs) ..."
+$DIFF $ORIG $DEST 2>&1
 
+
+
 #
 # The following are expected failures
 #
@@ -423,21 +441,34 @@
 $DIFF $ORIG $DEST 2>&1
 if [ $? -ne 0 ]; then exit 1; fi
 
-echo "========== TEST: Try replacing Symlink with Directory =========="
+echo "========== TEST: Try replacing Symlink to directory with Directory =========="
 $DARWINUP install $PREFIX/rep_link_dir
 if [ $? -ne 255 ]; then exit 1; fi
 echo "DIFF: diffing original test files to dest (should be no diffs) ..."
 $DIFF $ORIG $DEST 2>&1
 if [ $? -ne 0 ]; then exit 1; fi
 
-echo "========== TEST: Try replacing Symlink with File =========="
+echo "========== TEST: Try replacing Symlink to directory with File =========="
 $DARWINUP install $PREFIX/rep_link_file
 if [ $? -ne 255 ]; then exit 1; fi
 echo "DIFF: diffing original test files to dest (should be no diffs) ..."
 $DIFF $ORIG $DEST 2>&1
 if [ $? -ne 0 ]; then exit 1; fi
 
+echo "========== TEST: Try replacing Symlink to file with Directory =========="
+$DARWINUP install $PREFIX/rep_flink_dir
+if [ $? -ne 255 ]; then exit 1; fi
+echo "DIFF: diffing original test files to dest (should be no diffs) ..."
+$DIFF $ORIG $DEST 2>&1
+if [ $? -ne 0 ]; then exit 1; fi
 
+echo "========== TEST: Try replacing Symlink to file with File =========="
+$DARWINUP install $PREFIX/rep_flink_file
+if [ $? -ne 255 ]; then exit 1; fi
+echo "DIFF: diffing original test files to dest (should be no diffs) ..."
+$DIFF $ORIG $DEST 2>&1
+if [ $? -ne 0 ]; then exit 1; fi
+
 popd >> /dev/null
 echo "INFO: Done testing!"
 
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/darwinbuild-changes/attachments/20100916/36003655/attachment-0001.html>


More information about the darwinbuild-changes mailing list